﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using net.windward.utils.ado;

namespace Kailua.net.windward.utils.ado.SPList.custom
{
    /// <summary>
    /// SharePoint List syntax handler.
    /// </summary>
    public class WrSPListSyntax2 : IWrSyntax
    {

        #region IWrSyntax Members

        /// <summary>
        /// Not implemented.
        /// </summary>
        /// <param name="select"></param>
        /// <returns></returns>
        public string ConvertSelect(string select)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Create a safe table name. Generally needed only if the name has a space in it or is a reserved name.
        /// </summary>
        /// <param name="tableName">The true table name.</param>
        /// <returns>The table name as it should be used in a select.</returns>
        public string SafeTableName(string tableName)
        {
            return tableName;
        }


        /// <summary>
        /// Create a safe column name. Generally needed only if the name has a space in it or is a reserved name.
        /// </summary>
        /// <param name="columnName">The true column name.</param>
        /// <returns>The table name as it should be used in a select.</returns>
        public string SafeColumnName(string columnName)
        {
            return columnName;
        }

        /// <summary>
        /// Create a safe table name. Generally needed only if the name has a space in it or is a reserved name.
        /// </summary>
        /// <param name="tableName">The true table name.</param>
        /// <param name="columnName">The true column name.</param>
        /// <returns>The table name as it should be used in a select.</returns>
        public string SafeTableColumnName(string tableName, string columnName)
        {
            return columnName;
        }

        #endregion
    }
}
