CREATE TABLE  "ALLTYPES" 
   (	"PK" NUMBER NOT NULL ENABLE, 
	"KNUMBER" NUMBER, 
	"KVARCHAR" VARCHAR2(50), 
	"KREVNUM" TIMESTAMP (6), 
	"KDATE" DATE, 
	"KTIMESTAMP" TIMESTAMP (6), 
	"KCHAR" CHAR(50), 
	"KNVARCHAR" NVARCHAR2(50), 
	"KBLOB" BLOB, 
	"KCLOB" CLOB, 
	"KBINARY" NUMBER(1,0), 
	"KBYTE" NUMBER(3,0), 
	"KSHORT" NUMBER(5,0), 
	"KDECIMAL" NUMBER(9,2), 
	 CONSTRAINT "ALLTYPES_PK" PRIMARY KEY ("PK") ENABLE
   )
/

Rem No function found to generate DDL.
CREATE UNIQUE INDEX  "ALLTYPES_PK" ON  "ALLTYPES" ("PK")
/

Rem No package found to generate DDL.
Rem No procedure found to generate DDL.
 CREATE SEQUENCE   "ALLTYPES_SEQ"  MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 421 CACHE 20 NOORDER  NOCYCLE
/

Rem No synonym found to generate DDL.
CREATE OR REPLACE TRIGGER  "BI_ALLTYPES" 
  before insert on "ALLTYPES"               
  for each row  
begin   
    select "ALLTYPES_SEQ".nextval into :NEW.PK from dual; 
end; 

/
ALTER TRIGGER  "BI_ALLTYPES" ENABLE
/
CREATE OR REPLACE TRIGGER  "ALLTYPES_T1" 
BEFORE
insert or update on "ALLTYPES"
for each row
begin
:NEW.KREVNUM := systimestamp;
end;
/
ALTER TRIGGER  "ALLTYPES_T1" ENABLE
/

Rem No view found to generate DDL.
