﻿// Created by Windward Studios - no copyright is claimed. This code can be used in
// any manner by anyone for any reason. There is no copyright of any kind on it. You may
// use it in commercial products. You may change it without sharing those changes.
// We ask that you keep the "created by Windward Studios" in a comment at the top.

using System.Data;
using net.windward.utils.ado.ODBC;

namespace net.windward.utils.ado.Access
{
	/// <summary>
	/// Wrap an IDataReader returned on a ODBC Execute. All this does is add the GetTimestamp method.
	/// </summary>
	public class WrAccessDataReader : WrOdbcDataReader
	{
		/// <summary>
		/// Create a WrDataReader object wrapping an IDataReader.
		/// </summary>
		/// <param name="data">The IDataReader we are wrapping.</param>
		public WrAccessDataReader(IDataReader data)
			: base(data)
		{
		}
	}
}
