if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AllTypes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[AllTypes]
GO

CREATE TABLE [dbo].[AllTypes] (
	[pk] [bigint] IDENTITY (1, 1) NOT NULL ,
	[kBinary] [binary] (50) NULL ,
	[kBoolean] [bit] NULL ,
	[kChar] [char] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[kDateTime] [datetime] NULL ,
	[kDecimal] [decimal](18, 2) NULL ,
	[kFloat] [float] NULL ,
	[kImage] [image] NULL ,
	[kInt] [int] NULL ,
	[kMoney] [money] NULL ,
	[kNchar] [nchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[kNtext] [ntext] COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[kNvarchar] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[kReal] [real] NULL ,
	[kSmallDateTime] [smalldatetime] NULL ,
	[kSmallInt] [smallint] NULL ,
	[kSmallMoney] [smallmoney] NULL ,
	[kText] [text] COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[kTimeStamp] [timestamp] NULL ,
	[kTinyInt] [tinyint] NULL ,
	[kUniqueIdentifier] [uniqueidentifier] NULL ,
	[kVarBinary] [varbinary] (50) NULL ,
	[kVarChar] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[xxx] [numeric](18, 0) NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


exec sp_addextendedproperty N'MS_Description', N'A table with all types', N'user', N'dbo', N'table', N'AllTypes'

GO

exec sp_addextendedproperty N'MS_Description', N'the primary key', N'user', N'dbo', N'table', N'AllTypes', N'column', N'pk'


GO

